Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfTemplate

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfTemplate

public class RtfTemplate
extends java.lang.Object

Singelton of the RTF style template This class belongs to the tag processing.

Method Summary
`static RtfTemplate` | `getInstance()` Singelton.
`void` | `setTemplateFilePath(java.lang.String templateFilePath)` Set the template file and adjust tha path separator
`void` | `writeTemplate(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader header)` Write the rtf template

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static RtfTemplate getInstance()

  Singelton.

  Returns:
    The instance of RtfTemplate

### setTemplateFilePath

    public void setTemplateFilePath(java.lang.String templateFilePath)
                             throws java.io.IOException

  Set the template file and adjust tha path separator

  Parameters:
    `templateFilePath` - The full path of the template
  Throws:
    `java.io.IOException` - for I/O problems

### writeTemplate

    public void writeTemplate(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader header)
                       throws java.io.IOException

  Write the rtf template

  Parameters:
    `header` - Rtf header is the parent
  Throws:
    `java.io.IOException` - On write error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.